package org.implab.gradle.variants.sources.internal;

import org.implab.gradle.variants.sources.CompileUnit;
import org.implab.gradle.variants.sources.CompileUnitSourceSetSpec;
import org.implab.gradle.variants.sources.GenericSourceSet;

class DefaultCompileUnitSourceSetSpec implements CompileUnitSourceSetSpec {
    private final CompileUnit compileUnit;
    private final GenericSourceSet sourceSet;

    DefaultCompileUnitSourceSetSpec(CompileUnit compileUnit, GenericSourceSet sourceSet) {
        this.compileUnit = compileUnit;
        this.sourceSet = sourceSet;
    }

    @Override
    public CompileUnit getCompileUnit() {
        return compileUnit;
    }

    @Override
    public GenericSourceSet getSourceSet() {
        return sourceSet;
    }
}
